using System;
using Microsoft.Win32;

internal sealed class Delegate584 : MulticastDelegate
{
	public extern RegistryKey Invoke(object object_0, string string_0);

	public static RegistryKey smethod_0(object object_0, string string_0, Delegate584 delegate584_1)
	{
		return delegate584_1(object_0, string_0);
	}

	public extern Delegate584(object object_0, IntPtr intptr_0);

	static Delegate584()
	{
		Class10.smethod_13(typeof(Delegate584).TypeHandle);
	}

	internal static Delegate584 delegate584_0;
}
